<template>
  <v-dialog
    ref="addStorage"
    v-model="dialog"
    max-width="900px"
    persistent
  >
    <v-card>
      <v-form ref="form">
        <v-card-title class="text-left info pa-1">
          <h4
            class="pa-2"
            style="color: #ffffff"
          >
            Thống kê chi tiêu
          </h4>
          <v-icon
            right
            style="color: #ffffff"
            @click.native="dialog = false"
          >
            clear
          </v-icon>
        </v-card-title>

        <v-divider />

        <v-card-text class="pt-0 pb-0">
          <v-container class="pa-0">
            <v-row>
              <v-col
                cols="12"
                class="pa-1 ma-0"
              >
                <v-list>
                  <v-list-group
                    v-for="item in items"
                    :key="item.title"
                    v-model="item.active"
                    :prepend-icon="item.action"
                    no-action
                  >
                    <template v-slot:activator>
                      <v-list-item-content>
                        <v-list-item-title
                          v-text="item.title"
                        />
                      </v-list-item-content>
                    </template>

                    <v-list-item
                      v-for="child in item.items"
                      :key="child.title"
                      class="pt-0 pb-0 mt-0 mb-0"
                      style="height: 25px; min-height:25px"
                    >
                      <v-list-item-content class="pt-0 pb-0 mt-0 mb-0">
                        <v-list-item-title
                          v-text="child.title"
                        />
                      </v-list-item-content>
                    </v-list-item>
                  </v-list-group>
                </v-list>
              </v-col>
            </v-row>
          </v-container>
        </v-card-text>

        <v-divider />

        <!-- <v-card-actions>
          <v-spacer />

          <v-btn color="primary" class="mr-0" @click="insertStorage">
            Nhập kho
            <v-icon right> save </v-icon>
          </v-btn>
        </v-card-actions> -->
      </v-form>
    </v-card>
  </v-dialog>
</template>

<script>
  import axios from 'axios'
  import config from '../../config/config.js'

  export default {
    layout: 'chiTieuTotal',
    components: {},
    data () {
      return {
        dialog: false,
        singleSelect: false,
        selected: [],
        items: [
        // {
        //   action: 'mdi-ticket',
        //   items: [{ title: 'Tổng nợ (1000000)' }],
        //   title: 'Tổng nợ (1000000)',
        // },
        // {
        //   action: 'mdi-credit-card',
        //   active: true,
        //   items: [
        //     { title: 'Cà thẻ' },
        //     { title: 'Cho mượn' },
        //     { title: 'Góp' },
        //   ],
        //   title: 'HSB (100000)',
        // },
        // {
        //   action: 'mdi-credit-card',
        //   items: [{ title: 'List Item' }],
        //   title: 'SC Bank (100000)',
        // },
        // {
        //   action: 'mdi-credit-card',
        //   items: [{ title: 'List Item' }],
        //   title: 'Citi Bank (100000)',
        // },
        // {
        //   action: 'mdi-atm',
        //   items: [{ title: 'List Item' }],
        //   title: 'ATM (1000000)',
        // },
        // {
        //   action: 'mdi-cash',
        //   items: [{ title: 'List Item' }],
        //   title: 'Tiền mặt (10000)',
        // },
        ],
      }
    },
    computed: {},
    mounted: function () {}, // end method
    created () {
      this.totalChiTieuChitiet()
    }, // end data
    methods: {
      async totalChiTieuChitiet () {
        const self = this
        await axios
          .get(config.API_FAMILY + '/api/totalChiTieuChitiet', this.saleOrder)
          .then(function (response) {
            self.items = response.data.data
            console.log(JSON.stringify(self.items))
          })
      },
    }, // end created
  } // End exxport default
</script>
<style scoped>
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
table tr td {
  padding: 0 8px !important;
}

.table-list table thead tr th {
  background-color: #2196f3 !important;
  color: #ffffff;
}
.table-list table {
  border-collapse: collapse !important;
  border: 1px solid gray !important;
}
</style>
